> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/xamarin/guides/viewer-components/page-layout.md).

# Page layout/presentation mode in Xamarin

Discover the various page layouts supported by PDFViewCtrl for Xamarin.Android and Xamarin.iOS. Learn how to set the page presentation mode for optimal viewing experience. The Apryse Xamarin SDK strea

[`PDFViewCtrl`](https://sdk.apryse.com/api/xamarinios/tools/api/pdftron.PDF.PDFViewCtrl.html) supports a number of page layouts ([presentation modes](https://sdk.apryse.com/api/xamarinios/tools/api/pdftron.PDF.PagePresentationModes.html)), as listed below:

| Page presentation mode (Xamarin.Android / Xamarin.iOS)                                                              | Description                                                                                             |
| ------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------- |
| `PDFViewCtrl.PagePresentationModes.Single` / `pdftron.PDF.PagePresentationModes.e_single_page`                      | Displays one page at a time, swiping left and right to change pages.                                    |
| `PDFViewCtrl.PagePresentationModes.SingleCont` / `pdftron.PDF.PagePresentationModes.e_single_continuous`            | Displays one page at a time, scrolling up and down to change pages.                                     |
| `PDFViewCtrl.PagePresentationModes.SingleVert`(Android)                                                             | Displays one page at a time, swiping up and down to change pages.                                       |
| `PDFViewCtrl.PagePresentationModes.Facing` / `pdftron.PDF.PagePresentationModes.e_facing`                           | Displays two pages at a time, with odd-numbered pages on left, swiping left and right to change pages.  |
| `PDFViewCtrl.PagePresentationModes.FacingCont` / `pdftron.PDF.PagePresentationModes.e_facing_continuous`            | Displays pages in two columns, with odd-numbered pages on left, scrolling up and down to change pages.  |
| `PDFViewCtrl.PagePresentationModes.FacingVert`(Android)                                                             | Displays two pages at a time, with odd-numbered pages on left, swiping up and down to change pages.     |
| `PDFViewCtrl.PagePresentationModes.FacingCover` / `pdftron.PDF.PagePresentationModes.e_facing_cover`                | Displays two pages at a time, with odd-numbered pages on right, swiping left and right to change pages. |
| `PDFViewCtrl.PagePresentationModes.FacingCoverCont` / `pdftron.PDF.PagePresentationModes.e_facing_continuous_cover` | Display pages in two columns, with odd-numbered pages on right, scrolling up and down to change pages.  |
| `PDFViewCtrl.PagePresentationModes.FacingCoverVert`(Android)                                                        | Displays two pages at a time, with odd-numbered pages on right, swiping up and down to change pages.    |

## Set the page presentation mode

You can set page presentation mode in your `PDFViewCtrl` by using `PagePresentationMode` property:

{% tabs %}
{% tab title="C#" %}
{% code lineNumbers="true" %}

```csharp
// Xamarin.Android
mPdfViewCtrl.PagePresentationMode = pdftron.PDF.PDFViewCtrl.PagePresentationModes.Facing;

// Xamarin.iOS
mPdfViewCtrl.PagePresentationMode = pdftron.PDF.PagePresentationModes.e_facing;
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/xamarin/guides/viewer-components/page-layout.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
